Subject: bug#69861: closed (Re: bug#69861: OpenTaxSolver Current tax year)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 17 Mar 2024 17:51:02 +0000

Your bug report

#69861: OpenTaxSolver Current tax year

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69861: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69861
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69861: OpenTaxSolver Current tax year
From: Leo Famulari <[email-masked]>
To: Zacchaeus Scheffer <[email-masked]>
Cc: [email-masked]
Date: Sun, 17 Mar 2024 13:49:59 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Mar 17, 2024 at 09:39:12AM -0700, Zacchaeus Scheffer wrote:
> Hi all,
> 
> I know this isn't a properly submitted patch, but I think the change is
> pretty simple.  2024 taxes are comming up in the US.  Could someone bump
> the version number for opentaxsolver?  I tested the following changes
> which passed moderate testing on my part.

Thanks! I turned it into a patch on your behalf and pushed as
059c9ed104c91f7a537f369c4524b91d6cf8a13e

Subject: OpenTaxSolver Current tax year
From: Zacchaeus Scheffer <[email-masked]>
To: [email-masked]
Date: Sun, 17 Mar 2024 09:39:12 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I know this isn't a properly submitted patch, but I think the change is
pretty simple.  2024 taxes are comming up in the US.  Could someone bump
the version number for opentaxsolver?  I tested the following changes
which passed moderate testing on my part.

diff --git a/gnu/packages/finance.scm b/gnu/packages/finance.scm
index 8c30bd1a30..4fc1b3b711 100644
--- a/gnu/packages/finance.scm
+++ b/gnu/packages/finance.scm
@@ -2362,8 +2362,8 @@ (define-public opentaxsolver
   ;; writing, the version is 2022_20.00. Each part of this is used in
   ;; different places in the source uri, so it's convenient to have them
   ;; separately like this.
-  (let ((tax-year "2022")
-        (ots-version "20.00"))
+  (let ((tax-year "2023")
+        (ots-version "21.03"))
     (package
       (name "opentaxsolver")
       (version (string-append tax-year "_" ots-version))
@@ -2375,7 +2375,7 @@ (define-public opentaxsolver
                              "_linux/OpenTaxSolver" version "_linux64.tgz"))
          (sha256
           (base32
-           "06k0a72bmwdmr71dvrp8b4vl8vilnggsh92hrp7wjdgcjj9m074w"))
+           "1i543bvclnyiwnyjlskhr2bxlsigggvwdhg2519rf12lsghgfszq"))
          (patches (search-patches "opentaxsolver-file-browser-fix.patch"))))
       (build-system glib-or-gtk-build-system)
       (arguments